/* Displays information about all the Indexing Service catalogs available on the local computer. */
objAdminIS = CreateComObject("Microsoft.ISAdm")
IF objAdminIS~FindFirstCatalog() = 0 THEN DO
	objCatAdm = objAdminIS~GetCatalog()
	SAY "Catalog location:" objCatAdm~CatalogLocation
	SAY "Catalog name:" objCatAdm~CatalogName
	IF objAdminIS~IsRunning \= 0 THEN DO
		SAY "Is stopped:" objCatAdm~IsCatalogStopped()
		SAY "Is paused:" objCatAdm~IsCatalogPaused()
		SAY "Is running:" objCatAdm~IsCatalogRunning()
		SAY "Delayed filter count:" objCatAdm~DelayedFilterCount
		SAY "Documents to filter:" objCatAdm~DocumentsToFilter
		SAY "Filtered document count:" objCatAdm~FilteredDocumentCount
		SAY "Fresh test count:" objCatAdm~FreshTestCount
		SAY "Index size:" objCatAdm~IndexSize
		SAY "Percent merge complete:" objCatAdm~PctMergeComplete
		SAY "Pending scan count:" objCatAdm~PendingScanCount
		SAY "Persistent index count:" objCatAdm~PersistentIndexCount
		SAY "Query count:" objCatAdm~QueryCount
		SAY "State info:" objCatAdm~StateInfo
		SAY "Total document count:" objCatAdm~TotalDocumentCount
		SAY "Unique key count:" objCatAdm~UniqueKeyCount
		SAY "Word list count:" objCatAdm~WordListCount
	 END

	 DO WHILE objAdminIS~FindNextCatalog() = 0
		objCatAdm = objAdminIS~GetCatalog()
		SAY "Catalog location:" objCatAdm~CatalogLocation
		SAY "Catalog name:" objCatAdm~CatalogName
		IF objAdminIS.IsRunning \= 0 THEN DO
			SAY "Is stopped:" objCatAdm~IsCatalogStopped()
			SAY "Is paused:" objCatAdm~IsCatalogPaused()
			SAY "Is running:" objCatAdm~IsCatalogRunning()
			SAY "Delayed filter count:" objCatAdm~DelayedFilterCount
			SAY "Documents to filter:" objCatAdm~DocumentsToFilter
			SAY "Filtered document count:" objCatAdm~FilteredDocumentCount
			SAY "Fresh test count:" objCatAdm~FreshTestCount
			SAY "Index size:" objCatAdm~IndexSize
			SAY "Percent merge complete:" objCatAdm~PctMergeComplete
			SAY "Pending scan count:" objCatAdm~PendingScanCount
			SAY "Persistent index count:" objCatAdm~PersistentIndexCount
			SAY "Query count:" objCatAdm~QueryCount
			SAY "State info:" objCatAdm~StateInfo
			SAY "Total document count:" objCatAdm~TotalDocumentCount
			SAY "Unique key count:" objCatAdm~UniqueKeyCount
			SAY "Word list count:" objCatAdm~WordListCount
		END
	END
END